Name:           spec-tree
Version:        2023.0
Release:        %mkrel 1
Summary:        Tools to manage a large set of RPM .spec files
Group:          Development/Other
License:        GPLv2+
URL:            https://github.com/dfandrich/spec-tree
Source0:        https://github.com/dfandrich/spec-tree/archive/v%{version}/spec-tree-%{version}.tar.gz
BuildArch:      noarch
Requires:       curl
Requires:       gawk
Requires:       python3 >= 3.7
Requires:       rpm-build
# If the spec tree is built from a snapshot instead, many scripts can be used
# without subversion, so make it optional.
Recommends:     subversion

%description
This package contains tools to manage a large set of RPM .spec files, tailored
for the Mageia Linux distribution.  The scripts allow you to check out all the
possible spec files in order to perform large-scale refactoring or changes, to
search all the spec files, or to perform analysis on them.

%prep
%autosetup -p1

%build

%install
install -d -m 755 %{buildroot}%{_bindir}
install -m 0755 checkout-all-specs commit-from-anon-repo findspec list-unclean-repo match-spec-maintainer spec-rpm-mismatch update-all-specs examples/generate-mismatch-report %{buildroot}%{_bindir}

%files
%doc README.md
%doc examples/change-parsed-url examples/change-string examples/mismatch-csv
%license COPYING
%{_bindir}/*


%changelog
* Mon Jan 02 2023 danf <danf> 2023.0-1.mga9
+ Revision: 1929398
- imported package spec-tree

